> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cakeip.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取国家列表

> 代理商获取国家列表



## OpenAPI

````yaml POST /ip/getCountryList
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://apiv1.cakeip.com/openapi
security: []
paths:
  /ip/getCountryList:
    post:
      description: 代理商获取国家列表
      requestBody:
        description: 获取国家列表
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CommonRequestBody'
        required: true
      responses:
        '200':
          description: 响应成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCountryListResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CommonRequestBody:
      type: object
      properties:
        appKey:
          type: string
          description: AppKey密钥
      required:
        - appKey
    GetCountryListResponse:
      type: object
      properties:
        code:
          default: 0
          description: 状态码，0为操作成功
          type: integer
          format: int32
          example: 0
          enum:
            - 0
            - -1
        msg:
          description: 响应消息
          type: string
        data:
          description: 响应数据
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: 名称
              code:
                type: string
                description: 代码
      required:
        - name
    Error:
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      required:
        - error
        - message

````